Bug 1001330 - ARM as primary Architecture
ARM as primary Architecture
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Docs QA
: Tracking
Depends On: 998560 1021599
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 18:16 EDT by Pete Travis
Modified: 2014-02-03 03:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998560
Environment:
Last Closed: 2014-02-03 03:08:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-08-26 18:16:30 EDT
+++ This bug was initially created as a clone of Bug #998560 +++

This is a tracking bug for Change: ARM as primary Architecture
For more details, see: http://fedoraproject.org//wiki/Changes/ARM_as_Primary

Make ARM a primary architecture. Add armv7hl to the i686 and x86_64 as arches that we build and support. This will mean that all packages supported by the ARM architecture must build for ARM to be released. With the release of Fedora 19 we have deprecated support for software floating support (ARMv5tel sfp) so the only proposed addition to primary architectures is currently ARMv7 hardware floating point 32 bit support (ARMv7 hfp 32bit).

--- Additional comment from Dennis Gilmore on 2013-08-22 18:57:11 EDT ---

we are building arm as primary, everything is on target right now.

Discussion at
https://lists.fedoraproject.org/pipermail/devel/2013-July/184962.html

Please assess existing documentation for the impact of this Change.
Comment 1 Peter Robinson 2013-10-21 11:45:50 EDT
Isn't this the same as 1001330?
Comment 2 Pete Travis 2013-10-21 13:36:14 EDT
Hey Peter,

#1001329 is to make sure we cover ARM as Primary Arch in the Release Notes.

#1001230 (this one) is a work tracking ticket for someone to look over other Guides and see what needs to be updated. For example, with ARM as primary arch we can say in the ARM Getting Started Guide that booting Fedora might be platform-specific, but the installed system should behave the same on any platform. Someone working the docs-requests ticket would then either commit this info directly or create a bug against the ARM guide to get it done.

Petr is the owner of the Installation Guide; I believe he is using #1021599 to track representation of ARM in that guide. (It shouldn't block #1001329 though, I just fixed that.)  I don't know what his detailed plans are, but I'm sure we'll find you on the ARM list if anything comes up :)

Note You need to log in before you can comment on or make changes to this bug.